function DashboardChart2(widget) {
  "use strict";

  var model = openerp;

  widget.DashboardChartWidget2 = widget.Base.extend({
    BuildLineChart: function (name,label,data,CurrencyBase,linecolor,backgroundColor) {
      var self = this;
      Chart.scaleService.updateScaleDefaults('linear', {
        ticks: {
          callback: function(tick) {
            return tick.toLocaleString('de-DE');
          }
        }
      });

      Chart.defaults.global.tooltips.callbacks.label = function(tooltipItem, data) {
        var dataset = data.datasets[tooltipItem.datasetIndex];
        var datasetLabel = dataset.label || '';
        return datasetLabel +  dataset.data[tooltipItem.index].toLocaleString('de-DE');
      };

      var chart = new Chart($(name), {
        type: 'line',
        data: {
          labels: label,
          datasets: [
            {
              label: false,
              data: data,
              backgroundColor: backgroundColor,
              borderColor: linecolor,
              borderWidth: 2,
              fill: false,
            }
          ]
        },

        options: {
          responsive: true,
          responsiveAnimationDuration:10,
          maintainAspectRatio:false,
          title: {
            display: false,
          },
          hover: {
            mode: 'nearest',
            intersect: true
          },
          legend: {
            display: false,
          },
          layout: {
            padding: {
              top: 0,
              bottom: 0,
              left : 0,
              rigth: 0,
            }
          },
          events: ['click'],
          tooltips: {
            callbacks: {
              label: function(tooltipItem, data) {
                var label = data.datasets[tooltipItem.datasetIndex].label || '';
                if (label) {
                  label += ': ';
                }
                label += accounting.formatMoney(tooltipItem.yLabel, CurrencyBase.symbol, CurrencyBase.decimal_places, CurrencyBase.thousands_separator, CurrencyBase.decimal_separator);
                return label;
              }
            }
          }
        }
      });
    },

    BuildBarChart2: function (name,label,bodyObjective,bodySale,CurrencyBase) {
      var self = this;
      Chart.scaleService.updateScaleDefaults('linear', {
        ticks: {
          callback: function(tick) {
            return tick.toLocaleString('de-DE');
          }
        }
      });

      Chart.defaults.global.tooltips.callbacks.label = function(tooltipItem, data) {
        var dataset = data.datasets[tooltipItem.datasetIndex];
        var datasetLabel = dataset.label || '';
        return datasetLabel +  dataset.data[tooltipItem.index].toLocaleString('de-DE');
      };

      var chartData = {
        labels: label,
        datasets: [ {
          type: 'horizontalBar',
          label: 'Meta',
          borderColor: '#43a047',
          backgroundColor: '#43a047',
          borderWidth: 2,
          data: bodyObjective,
          fill: true,
        }, {
          type: 'horizontalBar',
          label: 'Logrado',
          borderColor: '#f9a825',
          backgroundColor: '#f9a825',
          data: bodySale,
          borderWidth: 2,
          fill: true,
        }]
      };

      var chart = new Chart($(name),{
        type: 'horizontalBar',
        data: chartData,
        options: {
          responsive: true,
          responsiveAnimationDuration:10,
          maintainAspectRatio:false,
          title: {
            display: false,
          },
          hover: {
            mode: 'nearest',
            intersect: true
          },
          legend: {
            display: true,
          },
          layout: {
            padding: {
              top: 0,
              bottom: 0,
              left : 0,
              rigth: 0,
            }
          },
          tooltips: {
            callbacks: {
              label: function(tooltipItem, data) {
                var label = data.datasets[tooltipItem.datasetIndex].label || '';
                if (label) {
                  label += ': ';
                }
                label += accounting.formatMoney(tooltipItem.xLabel, CurrencyBase.symbol, CurrencyBase.decimal_places, CurrencyBase.thousands_separator, CurrencyBase.decimal_separator);
                return label;
              }
            }
          }
        }
      });
    },
  });
}
